
//=======================================================
//  This code is generated by Terasic System Builder
//=======================================================

module DE10_Nano_Arduino_LCD(

	//////////// ADC //////////
	output		          		ADC_CONVST,
	output		          		ADC_SCK,
	output		          		ADC_SDI,
	input 		          		ADC_SDO,

	//////////// ARDUINO //////////
	inout 		    [15:0]		ARDUINO_IO,
	inout 		          		ARDUINO_RESET_N,

	//////////// CLOCK //////////
	input 		          		FPGA_CLK1_50,
	input 		          		FPGA_CLK2_50,
	input 		          		FPGA_CLK3_50,

	//////////// HDMI //////////
	inout 		          		HDMI_I2C_SCL,
	inout 		          		HDMI_I2C_SDA,
	inout 		          		HDMI_I2S,
	inout 		          		HDMI_LRCLK,
	inout 		          		HDMI_MCLK,
	inout 		          		HDMI_SCLK,
	output		          		HDMI_TX_CLK,
	output		          		HDMI_TX_DE,
	output		    [23:0]		HDMI_TX_D,
	output		          		HDMI_TX_HS,
	input 		          		HDMI_TX_INT,
	output		          		HDMI_TX_VS,

	//////////// KEY //////////
	input 		     [1:0]		KEY,

	//////////// LED //////////
	output		     [7:0]		LED,

	//////////// SW //////////
	input 		     [3:0]		SW,

	//////////// GPIO_0, GPIO connect to GPIO Default //////////
	inout 		    [35:0]		GPIO_0,

	//////////// GPIO_1, GPIO connect to GPIO Default //////////
	inout 		    [35:0]		GPIO_1
);



//=======================================================
//  REG/WIRE declarations
//=======================================================

wire				reset_n;
wire				TFT_SPI_SCK;
wire				TFT_SPI_SDO;
wire				TFT_SPI_CS;
wire				TFT_SPI_DC;



//=======================================================
//  Structural coding
//=======================================================

assign reset_n				= ARDUINO_RESET_N;
assign ARDUINO_IO[8]		= TFT_SPI_DC;
assign ARDUINO_IO[10]	= TFT_SPI_CS;
assign ARDUINO_IO[11]	= TFT_SPI_SDO;
assign ARDUINO_IO[13]	= TFT_SPI_SCK;


assign GPIO_0				= 36'hzzzzzzzzz;
assign GPIO_1				= 36'hzzzzzzzzz;


	DE10_Nano_QSYS u0 (
		.clk_clk							(FPGA_CLK1_50),	// clk.clk
		.reset_reset_n					(reset_n),			// reset.reset_n
		.led_export						(LED),				// led_external_connection.export
		.key_export						(KEY),				// key_external_connection.export
		.sw_export						(SW),					// sw_external_connection.export
		  
		// ADC
		.adc_conduit_end_CONVST		(ADC_CONVST),		// adc_conduit_end.CONVST
		.adc_conduit_end_SCK			(ADC_SCK),			//                .SCK
		.adc_conduit_end_SDI			(ADC_SDI),			//                .SDI
		.adc_conduit_end_SDO			(ADC_SDO),			//                .SDO
			
		// TFT SPI
		.tft_spi_MISO					(),					//	tft_spi.MISO
		.tft_spi_MOSI					(TFT_SPI_SDO),		//	       .MOSI
		.tft_spi_SCLK					(TFT_SPI_SCK),		//	       .SCLK
		.tft_spi_SS_n					(TFT_SPI_CS),		//	       .SS_n
		.tft_dc_export					(TFT_SPI_DC)		//	 tft_cd.export	
	
	);


endmodule
